SELECT lastname, firstname, invoice_number
  FROM person JOIN order_header oh ON id = customer_id
              JOIN store s ON customer_id = manager_id
                          AND s.store_number = 
                              oh.store_number
/
